Bug 1258246 - Documentation needed on manually setting up SDN
Documentation needed on manually setting up SDN
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 09:56 EDT by Ryan Howe
Modified: 2016-07-17 21:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-17 21:36:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-08-30 09:56:41 EDT
Document URL: https://docs.openshift.com/enterprise/3.0/architecture/additional_concepts/sdn.html

Section Number and Name: SDN operations 

Describe the issue: Information needed on how to set up the SDN if it was not configured during the install. 

Suggestions for improvement: 

If the SDN was never configured with the network devices. 

https://docs.openshift.com/enterprise/3.0/architecture/additional_concepts/sdn.html#operation


The following script can be used to set these up but more steps are needed to configure the sdn.

openshift-sdn-kube-subnet-setup.sh

- What variables need to be defined with this script there are five
subnet_gateway=$1
subnet=$2
cluster_subnet=$3
subnet_mask_len=$4
tun_gateway=$5

- After the script is run how do we make the devices persistent across reboots
https://access.redhat.com/solutions/58610

- Couple more steps are needed to get the minion to be allocated a subnet 

Additional information:
Comment 7 Ryan Howe 2016-07-12 10:32:17 EDT
I think this BZ has the necessary information in the docs.
Comment 8 Vikram Goyal 2016-07-17 21:36:09 EDT
(In reply to Ryan Howe from comment #7)
> I think this BZ has the necessary information in the docs.

I am going to close this bug in that case. Thanks Ryan and Eric. The links for the various fixes are available in comment 6: https://bugzilla.redhat.com/show_bug.cgi?id=1258246#c6.

Note You need to log in before you can comment on or make changes to this bug.